<?php
//add new custom control type switch
if(class_exists( 'WP_Customize_control')):
  class eightmedi_pro_WP_Customize_Category_Control extends WP_Customize_Control {
  /**
  * Render the control's content.
  *
  * @since 3.4.0
  */
  public function render_content() {
    $dropdown = wp_dropdown_categories(
      array(
        'name'              => '_customize-dropdown-categories-' . $this->id,
        'echo'              => 0,
        'show_option_none'  => __( '&mdash; Select &mdash;','eightmedi-pro' ),
        'option_none_value' => '0',
        'selected'          => $this->value(),
      )
    );

    // Hackily add in the data link parameter.
    $dropdown = str_replace( '<select', '<select ' . $this->get_link(), $dropdown );

    printf(
      '<label class="customize-control-select"><span class="customize-control-title">%s</span> %s</label>',
      $this->label,
      $dropdown
    );
  }
}

class WP_Customize_Demo_Control extends WP_Customize_Control{            
  public function render_content() {
    ?>
    <label>
      <?php if ( ! empty( $this->label ) ) : ?>
        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
      <?php endif; ?>
      <div class="">
        <a href="#" id="demo_import">Import Demo</a>
        <div class=""></div>
        <div class="import-message">Click on 'Import Demo' button to import demo contents.</div>
      </div>
    </label>
    <?php
  }
}
//demo close

class Eightmedi_Pro_Section_ReOrder extends WP_Customize_Control {
  public $type = 'dragndrop';
  /**
  * Render the content of the category dropdown
  *
  * @return HTML
  */
  public function render_content() {
    if ( empty( $this->choices ) ){
      return;
    }
    ?>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
    <span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
    <ul class="controls section-items" id ="ed-sections-reorder">
      <?php
      $default_short_array = array();
      foreach ( $this->choices as $value => $label ) {
        $default_short_array[$value] = $label;
      }            
      $order_save_value = get_theme_mod( $this->id );
      ?>
      <?php
      if( !empty( $order_save_value ) ) {
        $order_save_array = explode( ',' , $order_save_value);
        $order_save_array_pop = array_pop( $order_save_array );
        foreach ($order_save_array as $key => $value) {
          ?>

          <li class="ed-section-element section-items" data-section-name="<?php echo esc_attr( $value );?>" id="<?php echo esc_attr( $value ); ?>"><i class="fa fa-arrows-v"></i><?php echo esc_attr( $default_short_array[$value] ); ?></li>
          <?php      
        }
        $section_order_list = $order_save_value;

      } else {
        $order_array = array();
        foreach ( $this->choices as $value => $label ) {
          $order_array[] = $value;            
          ?>
          <li class="ed-section-element section-items" data-section-name="<?php echo esc_attr( $value );?>" id="<?php echo esc_attr( $value ); ?>"><i class="fa fa-arrows-v"></i><?php echo esc_attr( $label ); ?></li>
          <?php
        }
        $section_order_list = implode ( "," , $order_array );
      }
      ?>
      <input id="shortui-order-section" type="hidden" <?php $this->link(); ?> value="<?php echo $section_order_list; ?>" />  
    </ul>        
    <?php
  }
}
endif;