<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * Template Name: Home Page
 * @package EightMedi Pro
 */

get_header(); ?>

<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">
		<?php
		/* start of sortable sections*/
		$sections = get_theme_mod('eightmedi_pro_homepage_setting_sorting_section_orders','slider,homecontent,featured,appointment,aboutus,teammember,callto,news,testimonial,faqs,widgetone,sponsors,ctasmall,contact,');
		$sections_array = explode(',', $sections);
		// loop to remove null values
		foreach ($sections_array as $key=>$val) {
			if ($val == null)
				unset($sections_array[$key]);
		}
		$new_sections_array = array_values($sections_array);

		$i = 0;
		foreach ($new_sections_array as $section) {
			$i++;
			if(function_exists('eightmedi_pro_homepage_'. $section.'_cb')){
				do_action('eightmedi_pro_homepage_'. $section);
			}else{
				?>
				<section class="<?php echo esc_attr($section);?>-section" >
					<div class="ed-container-home">
						<?php esc_html_e('Section Not Found','eightmedi-pro'); ?>
					</div>
				</section>
				<?php
			}
		}
		/* end of sortable section */

		// do_action('eightmedi_pro_homepage_slider');
		// do_action('eightmedi_pro_homepage_featured'); 
		// do_action('eightmedi_pro_homepage_appointment'); 
		// do_action('eightmedi_pro_homepage_aboutus'); 
		// do_action('eightmedi_pro_homepage_teammember'); 
		// do_action('eightmedi_pro_homepage_callto'); 
		// do_action('eightmedi_pro_homepage_news'); 
		// do_action('eightmedi_pro_homepage_testimonial'); 
		// do_action('eightmedi_pro_homepage_faqs');
		// do_action('eightmedi_pro_homepage_widgetone');
		// do_action('eightmedi_pro_homepage_sponsors');
		// do_action('eightmedi_pro_homepage_ctasmall');
		// do_action('eightmedi_pro_homepage_contact');
		?>
	</main><!-- #main -->
</div><!-- #primary -->

<?php get_footer(); ?>